Skip to main content

Log Delivery

View as Markdown

Configure different aspects of Databricks billing and usage.

List Log Delivery Configuration GA

GET /api/2.0/accounts/{account_id}/log-delivery

Gets all <Databricks> log delivery configurations associated with an account specified by ID.

API scopes: billing

Parameters

account_idstringpath

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

credentials_idstringquery

The Credentials id to filter the search results with

storage_configuration_idstringquery

The Storage Configuration id to filter the search results with

statusstringquery

The log delivery status to filter the search results with

Values: ENABLED, DISABLED

page_tokenstringquery

A page token received from a previous get all budget configurations call. This token can be used to retrieve the subsequent page. Requests first page if absent.

Response

log_delivery_configurationsarray of object

Log delivery configurations were returned successfully.

Show child attributesHide child attributes
config_idstring

The unique UUID of log delivery configuration

config_namestring

The optional human-readable name of the log delivery configuration. Defaults to empty.

log_typestring

Log delivery type. Supported values are:

Values: BILLABLE_USAGE, AUDIT_LOGS

output_formatstring

The file type of log delivery.

  • If log_type is BILLABLE_USAGE, this value must be CSV. Only the CSV (comma-separated values) format is supported. For the schema, see the View billable usage
  • If log_type is AUDIT_LOGS, this value must be JSON. Only the JSON (JavaScript Object Notation) format is supported. For the schema, see the Configuring audit logs.

Values: CSV, JSON

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

credentials_idstring

The ID for a method:credentials/create that represents the AWS IAM role with policy and trust relationship as described in the main billable usage documentation page. See Configure billable usage delivery.

storage_configuration_idstring

The ID for a method:storage/create that represents the S3 bucket with bucket policy as described in the main billable usage documentation page. See Configure billable usage delivery.

workspace_ids_filterarray of int64

Optional filter that specifies workspace IDs to deliver logs for. By default the workspace filter is empty and log delivery applies at the account level, delivering workspace-level logs for all workspaces in your account, plus account level logs. You can optionally set this field to an array of workspace IDs (each one is an int64) to which log delivery should apply, in which case only workspace-level logs relating to the specified workspaces are delivered. If you plan to use different log delivery configurations for different workspaces, set this field explicitly. Be aware that delivery configurations mentioning specific workspaces won't apply to new workspaces created in the future, and delivery won't include account level logs. For some types of <Databricks> deployments there is only one workspace per account ID, so this field is unnecessary.

delivery_path_prefixstring

The optional delivery path prefix within Amazon S3 storage. Defaults to empty, which means that logs are delivered to the root of the bucket. This must be a valid S3 object key. This must not start or end with a slash character.

delivery_start_timestring

This field applies only if log_type is BILLABLE_USAGE. This is the optional start month and year for delivery, specified in YYYY-MM format. Defaults to current year and month. BILLABLE_USAGE logs are not available for usage before March 2019 (2019-03).

statusstring

Status of log delivery configuration. Set to ENABLED (enabled) or DISABLED (disabled). Defaults to ENABLED. You can enable or disable the configuration later. Deletion of a configuration is not supported, so disable a log delivery configuration that is no longer needed.

Values: ENABLED, DISABLED

creation_timeint64

Time in epoch milliseconds when the log delivery configuration was created.

update_timeint64

Time in epoch milliseconds when the log delivery configuration was updated.

log_delivery_statusobject

The LogDeliveryStatus of this log delivery configuration

Show child attributesHide child attributes
statusstring

Enum that describes the status. Possible values are:

  • CREATED: There were no log delivery attempts since the config was created.
  • SUCCEEDED: The latest attempt of log delivery has succeeded completely.
  • USER_FAILURE: The latest attempt of log delivery failed because of misconfiguration of customer provided permissions on role or storage.
  • SYSTEM_FAILURE: The latest attempt of log delivery failed because of an <Databricks> internal error. Contact support if it doesn't go away soon.
  • NOT_FOUND: The log delivery status as the configuration has been disabled since the release of this feature or there are no workspaces in the account.

Values: CREATED, SUCCEEDED, USER_FAILURE, SYSTEM_FAILURE, NOT_FOUND

last_attempt_timestring

The UTC time for the latest log delivery attempt.

last_successful_attempt_timestring

The UTC time for the latest successful log delivery.

messagestring

Informative message about the latest log delivery attempt. If the log delivery fails with USER_FAILURE, error details will be provided for fixing misconfigurations in cloud permissions.

next_page_tokenstring

Token which can be sent as page_token to retrieve the next page of results. If this field is omitted, there are no subsequent budgets.